#!/bin/sh

while [ -n "$1" ]; do
    indent \
        --blank-lines-after-declarations \
        --blank-lines-after-procedures \
        --brace-indent4 \
        --braces-on-if-line \
        --braces-on-struct-decl-line \
        --break-function-decl-args \
        --case-indentation4 \
        --cuddle-do-while \
        --cuddle-else \
        --declaration-indentation4 \
        --else-endif-column4 \
        --format-first-column-comments \
        --indent-level4 \
        --line-length80 \
        --parameter-indentation4 \
        --space-after-cast \
        --space-after-parentheses \
        --start-left-side-of-comments \
        --struct-brace-indentation8 \
        --swallow-optional-blank-lines \
        --use-tabs  \
	$1
    shift
done
